# LinearRegionItem

class `pyqtgraph.``LinearRegionItem`(values=[0, 1], orientation=None, brush=None, movable=True, bounds=None)

  Bases: `UIGraphicsItem`

  Used for marking a horizontal or vertical region in plots. The region can be dragged and is bounded by lines which can be dragged individually.

  Signals: |
  sigRegionChangeFinished(self) | Emitted when the user has finished dragging the region (or one of its lines) and when the region is changed programatically.
  sigRegionChanged(self) | Emitted while the user is dragging the region (or one of its lines) and when the region is changed programatically.

  `__init__`(values=[0, 1], orientation=None, brush=None, movable=True, bounds=None)

    Create a new LinearRegionItem.

    Arguments: |
    values | A list of the positions of the lines in the region. These are not limits; limits can be set by specifying bounds.
    orientation | Options are LinearRegionItem.Vertical or LinearRegionItem.Horizontal. If not specified it will be vertical.
    brush | Defines the brush that fills the region. Can be any arguments that are valid for `mkBrush`. Default is transparent blue.
    movable | If True, the region and individual lines are movable by the user; if False, they are static.
    bounds | Optional [min, max] bounding values for the region

  `getRegion`()

    Return the values at the edges of the region.

  `setBounds`(bounds)

    Optional [min, max] bounding values for the region. To have no bounds on the region use [None, None]. Does not affect the current position of the region unless it is outside the new bounds. See `setRegion` to set the position of the region.

  `setBrush`(*br, **kargs)

    Set the brush that fills the region. Can have any arguments that are valid for `mkBrush`.

  `setMovable`(m)

    Set lines to be movable by the user, or not. If lines are movable, they will also accept HoverEvents.

  `setRegion`(rgn)

    Set the values for the edges of the region.

    Arguments: |
    rgn | A list or tuple of the lower and upper values.